Subject: Re: Missing lib
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 11 Mar 2002 10:37:57 -0500

Please keep replies on the list.  The results may be of interest to others
and, more importantly, there is certainly more information in the minds of 
many than in the mind of one (mine).

Forgive me but I have no idea what libdl.a is, regardless of whether it's
in Linux or not.  It is a fact that Cygwin has as one of it's goals to 
make porting from *nix easier.  However, it is also a fact that Cygwin !=
*nix.  There are missing pieces, for whatever reason.  However, it's clear
that gcc neither relies on nor automatically includes libdl.a in the link 
line.  If it did the former, gcc wouldn't work on Cygwin (which it does).  If
the latter, it would show up in the specs file, which it doesn't.  So I'd say
this is just a difference between the two platforms, plain and simple.

But, to get to your assertion that libdl.a must be in the Cygwin distribution,
one can always check whether a particular file is in *any* Cygwin package by
consulting http://cygwin.com/packages/.  This is what I did prior to answering 
your query.  It didn't show up.

Perhaps if I (and the list) had a better idea of the functionality for which 
you are looking, I might be able to tell you where you will find it (assuming
that it's in some other library in the Cygwin environment).  It's also 
possible that I'm the only one on this list that doesn't know what libdl.a
does! ;-)

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

At 10:07 AM 3/11/2002, [email-masked] wrote:

>Hello Mr.Hall
>
>I am sure that whould work, but to me it seems like the libdl.a must be in
>the generic cygwin distribution. The gcc  compiler uses it by default. I
>have a simple make command:
>
>g++ -o TestApp TestApp.cc
>
>and it fails with missing lib. Have tried to download cygwin again but no
>luck. The packgage it belong to is gcc-devel on linux. I have checked the
>Setup program and have not found a reference to it. Can you help?
>
>Oddvard
>
>
>
>                                                                                                                  
>                     "Larry Hall                                                                                  
>                     (RFK                 To:     [email-masked], [email-masked]               
>                     Partners,            cc:                                                                     
>                     Inc)"                Subject:     Re: Missing lib                                            
>                     <[email-masked]                                                                                
>                     m>                                                                                           
>                                                                                                                  
>                     11.03.2002                                                                                   
>                     15:58                                                                                        
>                                                                                                                  
>                                                                                                                  
>
>
>
>At 06:14 AM 3/11/2002, [email-masked] wrote:
> >I am trying to link a small test application and I get an error:
> >
> >make: Making executable testApp ...
> >/usr/lib/gcc-lib/i686-pc-cygwin/2.95.3-5/../../../../i686-pc-cygwin/bin/ld:
>
> >cannot find -ldl
> >collect2: ld returned 1 exit status
> >
> >The libdl is not in the distribution. How do I fix it?
>
>
>Build the source that creates libdl.a?
>
>
>Larry Hall                              [email-masked]
>RFK Partners, Inc.                      http://www.rfk.com
>838 Washington Street                   (508) 893-9779 - RFK Office
>Holliston, MA 01746                     (508) 893-9889 - FAX
>
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/